#! /usr/bin/perl -w

use CGI;

print "Content-type: text/html\n\n";
$c = new CGI;
$ta = $c->param('ta');
$file = $c->param('file');

open FILE, ">$file";
print FILE $ta;
close FILE;

print <<EOF;

<html>
 <head>
  <meta http-equiv='refresh' content='2; URL=./right.html'>
 </head>
 <body>
  gespeichert
 </body>
</html>

EOF

1;